//========================================================================================================================================
//INSTRUCTION SCREEN

void instScreen()
{
  //background
  //image(bg, width/2, height/2, width, height);

  //home button
  image(home, homeW*0.9, homeW*0.9, homeW, homeW);
  if (mouseX>homeW*0.9-homeW/2 && mouseX<homeW*0.9+homeW/2 && mouseY>homeW*0.9-homeW/2 && mouseY<homeW*0.9+homeW/2)
  {
    tint(0, 0, 0, 70);
    image(home, homeW*0.9, homeW*0.9, homeW, homeW);
    noTint();
  }

  //text background
  pushStyle();
  fill(0, 0, 0, 120);
  noStroke();
  //stroke(0, 150, 70);
  //strokeWeight(3);
  rect(width/2, height/2, width*0.8, height*0.8);
  imageMode(CENTER);
  //image(border[0], width/2, height/2.2-height*0.75/2, width/3, width/3*266/958/1.5);
  //image(border[1], width/2, height/2.2+height*0.75/2, width/3, width/3*266/958/1.3);

  float topMargin = height/2-height*0.8/2, leftMargin = width/2-width*0.7/2;

  //main text
  //headings
  //fill(40, 180, 70);
  pushStyle();
  textFont(font);
  fill(255, 255, 0);
  textAlign(CENTER);
  textSize(22);
  text("Game Objective", width/2, topMargin + 50);
  text("Game Setup", width/2, topMargin + 130);
  text("How to Play", width/2, topMargin + 330);
  popStyle();
  //text
  fill(255);
  textAlign(LEFT);
  textSize(16);
  text("To make the maximum number of tricks in this 2 player game", leftMargin+5, topMargin+80);
  text("- The game consists of a normal playing deck of 52 cards", leftMargin+5, topMargin+160);
  text("- Only 26 of those cards will be dealt, both players getting 13 cards each", leftMargin+5, topMargin+190);
  text("- Each player plays a card every round and one of them makes the trick at the end of the round", leftMargin+5, topMargin+220);
  text("- There will be 13 rounds, making it possible for a player to make 13 tricks at the most", leftMargin+5, topMargin+250);
  text("  (Though only 7 tricks are needed ideally to win the game)", leftMargin+5, topMargin+280);
  text("- For every subsequent round after the first, the person who makes the trick plays first", leftMargin+5, topMargin+540);
  text("- For the first round, the person who is dealt first plays first", leftMargin+5, topMargin+360);
  text("- The person who plays first may play any card from their hand (keep in mind your strategy for the objective)", leftMargin+5, topMargin+390);
  text("- The person who plays second can only play a card of the same suit", leftMargin+5, topMargin+420);
  text("- If they do not have that suit, they may chose to play any other card from their hand", leftMargin+5, topMargin+450);
  text("- If the same suit is played, the person with the higher card number makes the trick", leftMargin+5, topMargin+480);
  text("- If the same suit is not played, the person who played first makes the trick (irrespective of the card number)", leftMargin+5, topMargin+510);
  text("NOTE: Ace is the smallest and King the highest card in the deck", leftMargin+5, topMargin+590);

  //some styling
  stroke(0, 150, 70);
  strokeWeight(2);
  line(leftMargin-width*0.1/2, topMargin, width-leftMargin+width*0.1/2, topMargin);
  line(leftMargin-width*0.1/2, height-topMargin, width-leftMargin+width*0.1/2, height-topMargin);

  popStyle();
}

//void mouseReleased()
//{
//  soundBeep =true;
//}
