//========================================================================================================================================
//START SCREEN 

void startScreen()
{
  pushStyle();

  //landing text
  textSize(32);
  text("Welcome to", width/2, height*0.2);
  //fill(0, 120, 70);
  fill(255, 255, 0);
  textSize(75);
  //text("Cards Royale", width/2, height*0.35);
  image(logo, width/2, height*0.35, width*0.55, width*0.55/1800*1275); 

  //navigating buttons
  //fill(255, 255, 0);
  fill(0, 120, 70);
  strokeWeight(5);
  //stroke(43, 177, 50);
  stroke(80, 150, 70);
  rect(width/2, height*0.6, width*0.3, marginY*0.4, 20);
  rect(width/2, height*0.75, width*0.3, marginY*0.4, 20);
  textSize(24);
  fill(255);
  text("Start Game", width/2, height*0.6);
  text("Instructions", width/2, height*0.75);

  //change color on hover resp.
  if (mouseX>width/2-width*0.3/2 && mouseX<width/2+width*0.3/2 && mouseY>height*0.6-marginY*0.4/2 && mouseY<height*0.6+marginY*0.4/2)
  {
    fill(80, 150, 70);
    rect(width/2, height*0.6, width*0.3, marginY*0.4, 20);
    textSize(28);
    fill(200);
    text("Start Game", width/2, height*0.6);
  }
  if (mouseX>width/2-width*0.3/2 && mouseX<width/2+width*0.3/2 && mouseY>height*0.75-marginY*0.4/2 && mouseY<height*0.75+marginY*0.4/2)
  {
    fill(80, 150, 70);
    rect(width/2, height*0.75, width*0.3, marginY*0.4, 20);
    textSize(28);
    fill(200);
    text("Instructions", width/2, height*0.75);
  }

  popStyle();
}


//========================================================================================================================================
//POP-UP SCREEN 

void popUp()
{
  //while (!chosen)
  //{
  //pop up background
  pushStyle();
  strokeWeight(10);
  fill(0);
  stroke(0, 120, 70);
  rect(width/2, height/2, width*0.6, height*0.5);
  popStyle();
  image(table, width/2, height/2, width*0.6, height*0.5);

  //popUp text
  pushStyle();
  textSize(32);
  fill(255);
  text("A game is already in progress", width/2, height/2-height*0.1);
  //textSize(20);
  //fill(255);
  //text("Press C to continue", width/2, height/2+height*0.05);
  //text("Press R to restart", width/2, height/2+height*0.1);
  popStyle();

  //buttons to select option
  pushStyle();
  strokeWeight(2);
  stroke(225, 173, 1);
  //for button 1 = continue
  if (mouseX<width/2-width*0.1+marginX*0.8/2 && mouseX>width/2-width*0.1-marginX*0.8/2
    && mouseY<height/2+height*0.08+marginY*0.28/2 && mouseY>height/2+height*0.08-marginY*0.28/2)
    fill(225, 173, 1); //change color on hover
  else
    fill(255, 200, 1);
  rect(width/2-width*0.1, height/2+height*0.08, marginX*0.8, marginY*0.28, 10);
  //for button 2 = restart
  if (mouseX<width/2+width*0.1+marginX*0.8/2 && mouseX>width/2+width*0.1-marginX*0.8/2
    && mouseY<height/2+height*0.08+marginY*0.28/2 && mouseY>height/2+height*0.08-marginY*0.28/2)
    fill(225, 173, 1); //change color on hover
  else
    fill(255, 200, 1);
  rect(width/2+width*0.1, height/2+height*0.08, marginX*0.8, marginY*0.28, 10);
  textSize(18);
  fill(0);
  text("Continue", width/2-width*0.1, height/2+height*0.08);
  text("Restart", width/2+width*0.1, height/2+height*0.08);
  popStyle();

  //while (!chosen)
  //{
  //if (keyPressed && !mousePressed) 
  //{
  //  if (key == 'r' || key == 'R')
  //  {
  //    start = false;
  //    screenMode = 1;
  //    m2 = millis();
  //  } else if (key == 'c' || key == 'C')
  //  {
  //    screenMode = 1;
  //    m2 = millis() - 500; //dont need delay when continuing
  //  }
  //}
}
