class Card
{
  int id; /* rom 1 to 52 - 
           first 13 = clubs, then diamonds, heart and last 13 spades
           - according to heirarchy of suits */
  int number;
  String suit;
  PImage cImg;
  float posX, posY, prevPosX, prevPosY;
  boolean dealt; //it the card has been assignmed to any player
  boolean visible; //a card is visible only in the hand or table
  boolean played; //to keep track whether the card has been played by a player or not
  
  //constructor - get parameters of photo, number and suit
  Card (int cid, int num, String s, PImage img)
  {
    id = cid;
    number = num;
    suit = s;
    cImg = img;
    dealt = false;
    visible = false;
    played = false;
  }
}
